# IRfNetworkEventsFn Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | CreateNEObject ([in] RtNotifyEvent eEvent,[out, retval] IRsBSEvent **ppObjEvent)
HRESULT | CreateNEventBlockObj ([out, retval] IRsNEventBlock **ppObj)
HRESULT | CreateNERepository ([out, retval] IRsNEBlockRepository **ppObj)
HRESULT | CreateNEHistoryRepository ([out, retval] IRsNEBlockRepository **ppObj)
HRESULT | IncrementObjectVersion ([in] IRnEncapsulator *pSpace,[in] IRsBSEvent *pEventObj)
HRESULT | DecrementObjectVersion ([in] IRnEncapsulator *pSpace,[in] IRsBSEvent *pEventObj)

## Detailed Description

Network Events function sets provides base events manipulation.

## Member Function Documentation

HRESULT IRfNetworkEventsFn::CreateNEObject | ( | [in] RtNotifyEvent | eEvent,
|  | [out, retval] IRsBSEvent ** | ppObjEvent |
| ) |  |  |

network event processing: Create network event object by specified event type.

Parameters:

  | eEvent | [in] Specify the event type. See RtNotifyEvent for possible values.

Returns:
  ppObjEvent [out,retval] Returns created event object. You need to use IRsBSEvent and the specific event interface to fill all the information.

See also:
  IRsNESetValue, IRsNEDisconnect, IRsNECustom, IRsNEAddCon, IRsNERemCon, IRsNERename, IRsNEConnect, IRsNEConChanged, IRsNEConDepend

HRESULT IRfNetworkEventsFn::CreateNEventBlockObj | ( | [out, retval] IRsNEventBlock ** | ppObj | ) |

Method create the Network Events block object.

- Purpose of the object is to store all events that should be applied in one step.

Returns:
  ppObj [out,retval] Returns interface IRsNEventBlock of the Network events block object.

HRESULT IRfNetworkEventsFn::CreateNERepository | ( | [out, retval] IRsNEBlockRepository ** | ppObj | ) |

Method creates Network events blocks repository.

- The repository is used to store more Network Events Blocks (IRsNEventBlock).

Returns:
  ppObj [out,retval] Returns interface IRsNEBlockRepository of the created blocks repository.

HRESULT IRfNetworkEventsFn::CreateNEHistoryRepository | ( | [out, retval] IRsNEBlockRepository ** | ppObj | ) |

This is similar repository as IRsNEventBlock, but this one adds another functionality in IRsNEBlockHistory interface so you can prepare to apply or revert the stored events to a space.

Returns:
  ppObj [out,retval] Returns interface IRsNEBlockRepository of the created history blocks repository.

HRESULT IRfNetworkEventsFn::IncrementObjectVersion | ( | [in] IRnEncapsulator * | pSpace,
|  | [in] IRsBSEvent * | pEventObj |
| ) |  |  |

IncrementObjectVersion. Increment synchronization counter for object specified in the event.

- The counter is used to solve network conflicts.

Parameters:

  | pSpace | [in] Specify the space node on which you want apply the event.
  | pEventObj | [in] Specify the network event object.

Remarks:
  This method is used usually only by the events itself as last step of the conflicts solving.
  - The counter is maintained by conflict solver through set of interfaces.

HRESULT IRfNetworkEventsFn::DecrementObjectVersion | ( | [in] IRnEncapsulator * | pSpace,
|  | [in] IRsBSEvent * | pEventObj |
| ) |  |  |

DecrementObjectVersion. Decrement synchronization counter for object specified in the event.

- The counter is used to solve network conflicts.

Parameters:

  | pSpace | [in] Specify the space node on which you want apply the event.
  | pEventObj | [in] Specify the network event object.

Remarks:
  This method is used usually only by the events itself as last step of the conflicts solving.
  - The counter is maintained by conflict solver through set of interfaces.